### Method

# Goa Ticketing call_get_ticket_sync

since: 3.6.0

#### Declaration [src]

    gboolean
    goa_ticketing_call_get_ticket_sync (
      GoaTicketing* proxy,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously invokes the GetTicket() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

See `goa_ticketing_call_get_ticket()` for the asynchronous version of this method.

Available since: 3.6.0

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the call succeeded, `FALSE` if `error` is set.